: Class Intercomm

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mpi
Class Intercomm

    java.lang.Object
      |
      +--mpi.Comm
            |
            +--mpi.Intercomm

public class Intercomm
extends Comm

Fields inherited from class mpi.Comm
`handle, nullHandle, SELF, WORLD`

Constructor Summary
`protected` | `Intercomm(long handle)`

Method Summary
`java.lang.Object` | `clone()`
`Intracomm` | `Merge(boolean high)` Create an inter-communicator.
`Group` | `Remote_group()` Return the remote group.
`int` | `Remote_size()` Size of remote group.

Methods inherited from class mpi.Comm
`Abort, Attr_get, Bsend_init, Bsend, Compare, Create_intercomm, dup, Errhandler_set, Errorhandler_get, Free, GetIntercomm, Group, Ibsend, Ibsend, Iprobe, Irecv, Irsend, Irsend, Is_null, Isend, Isend, Issend, Issend, Object_Deserialize, Object_Serialize, Pack_size, Pack, Probe, Rank, Recv_init, Recv, Rsend_init, Rsend, Send_init, Send, Sendrecv_replace, Sendrecv, Size, Ssend_init, Ssend, Test_inter, Topo_test, Unpack`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Intercomm

    protected Intercomm(long handle)

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    clone in class Comm

### Remote_size

    public int Remote_size()
                    throws MPIException

  Size of remote group.

  returns: | number of process in remote group of this communicator

  Java binding of the MPI operation `MPI_COMM_REMOTE_SIZE`.

### Remote_group

    public Group Remote_group()
                       throws MPIException

  Return the remote group.

  returns: | remote group of this communicator

  Java binding of the MPI operation `MPI_COMM_REMOTE_GROUP`.

### Merge

    public Intracomm Merge(boolean high)
                    throws MPIException

  Create an inter-communicator.

  `high` | true if the local group has higher ranks in combined group
  returns: | new intra-communicator

  Java binding of the MPI operation `MPI_INTERCOMM_MERGE`.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD